package com.clx.performance.service;

import com.clx.performance.dto.zjxl.TruckCoordinateDTO;
import com.clx.performance.dto.zjxl.TruckTraceDTO;
import com.clx.performance.param.pc.OrderGoodsTruckListParam;
import com.clx.performance.param.pc.PageTruckListParam;
import com.clx.performance.param.pc.PageVicinityTruckListParam;
import com.clx.performance.param.pc.TruckTraceParam;
import com.clx.performance.vo.pc.OrderGoodsTruckListVO;
import com.clx.performance.vo.pc.PageTruckListVO;
import com.clx.performance.vo.pc.TruckTraceVO;
import com.msl.common.base.PageData;

import java.util.List;

/**
 * @Author: aiqinguo
 * @Description: 运单表
 * @Date: 2023/09/18 11:34:50
 * @Version: 1.0
 */

public interface TruckService {
    PageData<PageTruckListVO> pageTruckList(PageTruckListParam param);

    void test();

    void handExecTruckTrace();

    PageData<PageTruckListVO> getVicinityTruckList(PageVicinityTruckListParam param);

    void addTruckGPSInfo(TruckTraceDTO truckTraceDTO);


    List<TruckCoordinateDTO> getAllTruckCoordinate();

    List<OrderGoodsTruckListVO> getOrderGoodsTruckList(OrderGoodsTruckListParam param);

    List<TruckTraceVO> getTruckTrace(TruckTraceParam param);
}
